// PrintMyChartView.h : interface of the CPrintMyChartView class
//
/////////////////////////////////////////////////////////////////////////////
//{{AFX_INCLUDES()
#include "mschart.h"
//}}AFX_INCLUDES

#if !defined(AFX_PRINTMYCHARTVIEW_H__F1B28F88_D468_4B25_A578_C0C4A9BF21D0__INCLUDED_)
#define AFX_PRINTMYCHARTVIEW_H__F1B28F88_D468_4B25_A578_C0C4A9BF21D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CPrintMyChartView : public CFormView
{
protected: // create from serialization only
	CPrintMyChartView();
	DECLARE_DYNCREATE(CPrintMyChartView)

public:
	//{{AFX_DATA(CPrintMyChartView)
	enum { IDD = IDD_PRINTMYCHART_FORM };
	CMSChart	m_chart;
	//}}AFX_DATA

// Attributes
public:
	CPrintMyChartDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrintMyChartView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPrintMyChartView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	HBITMAP m_hbitmap;

// Generated message map functions
protected:
	//{{AFX_MSG(CPrintMyChartView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PrintMyChartView.cpp
inline CPrintMyChartDoc* CPrintMyChartView::GetDocument()
   { return (CPrintMyChartDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PRINTMYCHARTVIEW_H__F1B28F88_D468_4B25_A578_C0C4A9BF21D0__INCLUDED_)
